package com.kingdee.eas.hr.project;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class WorkHoursReportCollection extends AbstractObjectCollection 
{
    public WorkHoursReportCollection()
    {
        super(WorkHoursReportInfo.class);
    }
    public boolean add(WorkHoursReportInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(WorkHoursReportCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(WorkHoursReportInfo item)
    {
        return removeObject(item);
    }
    public WorkHoursReportInfo get(int index)
    {
        return(WorkHoursReportInfo)getObject(index);
    }
    public WorkHoursReportInfo get(Object key)
    {
        return(WorkHoursReportInfo)getObject(key);
    }
    public void set(int index, WorkHoursReportInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(WorkHoursReportInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(WorkHoursReportInfo item)
    {
        return super.indexOf(item);
    }
}